Bug 146912 - [patch] irc/weechat-devel: libexecinfo dependency
Summary: [patch] irc/weechat-devel: libexecinfo dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-24 08:40 UTC by swell.k
Modified: 2010-06-05 12:30 UTC (History)
0 users

See Also:


Attachments
a.diff (1.30 KB, patch)
2010-05-24 08:40 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-24 08:40:01 UTC
HAVE_BACKTRACE enabled whenever devel/libexecinfo installed on FreeBSD.
Affects irc/weechat as well.

How-To-Repeat: 1. install devel/libexecinfo
2. install weechat
3. deinstall libexecinfo
Comment 1 Edwin Groothuis freebsd_committer 2010-05-24 08:40:38 UTC
Maintainer of irc/weechat-devel,

Please note that PR ports/146912 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146912

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-24 08:40:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jase Thew 2010-05-29 09:21:45 UTC
On 24/05/2010 08:40, Edwin Groothuis wrote:
> Maintainer of irc/weechat-devel,
>
> Please note that PR ports/146912 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146912
>

I approve of the patch (good find!).

Thanks,

Jase.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-05-29 09:46:16 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 swell.k 2010-05-29 10:06:44 UTC
BACKTRACE knob should probably be ON by default because DEBUG is ON, too.
Comment 6 Jase Thew 2010-05-29 16:10:53 UTC
On 29/05/2010 10:06, Anonymous wrote:
> BACKTRACE knob should probably be ON by default because DEBUG is ON, too.

I disagree - WITH_BACKTRACE brings in an external dependancy, whereas 
WITH_DEBUG doesn't. If a user wishes to obtain a backtrace without that 
dependancy, they can do so with gdb and their core file (as documented 
in the weechat-devel documentation 
http://www.weechat.org/files/doc/devel/weechat_user.en.html#gdb_backtrace.) 
Otherwise, they can elect to enable WITH_BACKTRACE at build time.

Regards,

Jase.
Comment 7 Max Brazhnikov freebsd_committer 2010-06-01 08:59:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 8 dfilter service freebsd_committer 2010-06-05 12:28:28 UTC
makc        2010-06-05 11:28:15 UTC

  FreeBSD ports repository

  Modified files:
    irc/weechat-devel    Makefile 
  Log:
  Add optional dependency on devel/libexecinfo
  
  PR:             ports/146912
  Submitted by:   Anonymous <swell.k at gmail.com>
  Approved by:    Jase Thew (maintainer)
  
  Revision  Changes    Path
  1.53      +8 -0      ports/irc/weechat-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Max Brazhnikov freebsd_committer 2010-06-05 12:29:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!